import { Montserrat } from "next/font/google";
import React, { ReactNode } from "react";
import "./../globals.css";
import "swiper/css";
import "swiper/css/navigation";
import Script from "next/script";
import { ToastContainer } from "react-toastify";
import "react-toastify/dist/ReactToastify.css";
import AdminHeader from "@/components/Layout/AdminHeader";

const montserrat = Montserrat({
  weight: ["300", "400", "500", "600", "700"],
  style: ["normal", "italic"],
  subsets: ["latin"],
  display: "swap",
});

export const metadata = {
  title: "Funds Verifier",
  description: "Powered by SMB Digital Zone",
};

interface RootLayoutProps {
  children: ReactNode;
}

export default function RootLayout({ children }: RootLayoutProps) {
  return (
    <html lang="en" className={montserrat.className}>
      <body>
        <ToastContainer />
        <AdminHeader />
        {children}
      </body>
      <Script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js" />
    </html>
  );
}
